Package org.apache.qpid.proton.amqp

# Class UnsignedLong

java.lang.Object
java.lang.Number
org.apache.qpid.proton.amqp.UnsignedLong

All Implemented Interfaces:
  `Serializable`, `Comparable<UnsignedLong>`

public final class UnsignedLong extends Number implements Comparable<UnsignedLong>

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final UnsignedLong`
`ZERO`

## Constructor Summary

Constructors
Constructor
Description
`UnsignedLong(long underlying)`

## Method Summary

Modifier and Type
Method
Description
`BigInteger`
`bigIntegerValue()`
`int`
`compareTo(UnsignedLong o)`
`double`
`doubleValue()`
`boolean`
`equals(Object o)`
`float`
`floatValue()`
`int`
`hashCode()`
`int`
`intValue()`
`long`
`longValue()`
`String`
`toString()`
`static UnsignedLong`
`valueOf(long underlying)`
`static UnsignedLong`
`valueOf(String value)`
`static UnsignedLong`
`valueOf(BigInteger bigInt)`

### Methods inherited from class java.lang.Number

`byteValue, shortValue`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### ZERO

public static final UnsignedLong ZERO

## Constructor Details

### UnsignedLong

public UnsignedLong(long underlying)

## Method Details

### intValue

public int intValue()

Specified by:
  `intValue` in class `Number`

### longValue

public long longValue()

Specified by:
  `longValue` in class `Number`

### bigIntegerValue

public BigInteger bigIntegerValue()

### floatValue

public float floatValue()

Specified by:
  `floatValue` in class `Number`

### doubleValue

public double doubleValue()

Specified by:
  `doubleValue` in class `Number`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### compareTo

public int compareTo(UnsignedLong o)

Specified by:
  `compareTo` in interface `Comparable<UnsignedLong>`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### valueOf

public static UnsignedLong valueOf(long underlying)

### valueOf

public static UnsignedLong valueOf(String value)

### valueOf

public static UnsignedLong valueOf(BigInteger bigInt)